Skip to main content
`Ctrl`+`K`

# SNESAppendOptionsPrefix

Appends to the prefix used for searching for all `SNES` options in the database.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESAppendOptionsPrefix(SNES snes, const char prefix[])

Logically Collective

## Input Parameters

- snes - the `SNES` context

- prefix - the prefix to prepend to all option names

## Note

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

SNES: Nonlinear Solvers, `SNESGetOptionsPrefix()`, `SNESSetOptionsPrefix()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages